## therion 6.1.2

=== extern/fmt/CMakeLists.txt ===
set(FMT_HEADERS 
    ${CMAKE_CURRENT_SOURCE_DIR}/include/fmt/args.h
    ${CMAKE_CURRENT_SOURCE_DIR}/include/fmt/color.h
    ${CMAKE_CURRENT_SOURCE_DIR}/include/fmt/compile.h
    ${CMAKE_CURRENT_SOURCE_DIR}/include/fmt/core.h
    ${CMAKE_CURRENT_SOURCE_DIR}/include/fmt/format.h
    ${CMAKE_CURRENT_SOURCE_DIR}/include/fmt/format-inl.h
    ${CMAKE_CURRENT_SOURCE_DIR}/include/fmt/chrono.h
    ${CMAKE_CURRENT_SOURCE_DIR}/include/fmt/os.h
    ${CMAKE_CURRENT_SOURCE_DIR}/include/fmt/ostream.h
    ${CMAKE_CURRENT_SOURCE_DIR}/include/fmt/printf.h
    ${CMAKE_CURRENT_SOURCE_DIR}/include/fmt/ranges.h
    ${CMAKE_CURRENT_SOURCE_DIR}/include/fmt/std.h
    ${CMAKE_CURRENT_SOURCE_DIR}/include/fmt/xchar.h)

set(FMT_SOURCES 
    ${CMAKE_CURRENT_SOURCE_DIR}/src/format.cc
    ${CMAKE_CURRENT_SOURCE_DIR}/src/os.cc)

add_library(fmt ${FMT_HEADERS} ${FMT_SOURCES})
add_library(fmt::fmt ALIAS fmt)
target_include_directories(fmt SYSTEM PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/include)
set_target_properties(fmt PROPERTIES CXX_CLANG_TIDY "")

=== debian/changelog ===
therion (6.1.2-2) unstable; urgency=medium

  * debian/control: Switch to use wxwidgets3.2.
  * debian/patches/wx3.2.patch: Patch cherry-picked from upstream to avoid
    assertions due to improper wxWidgets API use.

 -- Olly Betts <olly@survex.com>  Tue, 13 Sep 2022 08:40:37 +1200

therion (6.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Fixed in upstream: ftbfs with fmtlib 9.0.0 (Closes: #1014679)
  * Updated therion.lintian-overrides to a new format.

 -- Martin Budaj <m.budaj@gmail.com>  Mon, 11 Jul 2022 18:13:05 +0200

=== debian/control ===
Source: therion
Section: science
Priority: optional
Maintainer: Martin Budaj <m.budaj@gmail.com>
Uploaders: Wookey <wookey@debian.org>, Olly Betts <olly@survex.com>
Build-Depends: dpkg (>=1.16.2), debhelper, debhelper-compat (=13), perl (>= 5.5), tcl,
  libvtk9-dev, libwxgtk3.2-dev, libfreetype6-dev, libjpeg-dev, libpng-dev,
  pkg-config, texlive-base, libproj-dev, libsqlite3-tcl, python3,
  libshp-dev, catch2, cmake, ninja-build, libfmt-dev
Build-Depends-Indep: texlive-metapost, imagemagick, ghostscript
Standards-Version: 4.6.1
Homepage: https://therion.speleo.sk/
Rules-Requires-Root: no

Package: therion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tcl, tk, texlive-base, texlive-metapost, bwidget
Recommends: evince | pdf-viewer, libtk-img, therion-viewer, survex
Suggests: survex-aven, texlive-lang-czechslovak, texlive-lang-cyrillic
Description: Cave surveying - 2D and 3D drawing software
 Therion aids the process of drawing up cave surveys (maps). Drawings are
 done over scans and can be distorted to fit the centreline data. Output is
 in single sheet or atlas style PDF or SVG files. All data is stored in text
 files and a map editor (xtherion) is provided to aid in the creation of the
 files. A wide range of co-ordinate systems is supported.
 .
 Therion can also produce 3D models, generated from walls and
 passage-heights.  Output formats supported are Survex .3d files, VRML, DXF,
 SVG, shapefiles, and the native .lox. Scanned map overlays and relief data
 can be incorporated into models. Therion is compatible with Survex, and
 centreline data can be stored in Survex or Therion form. If survex is
 installed it is used for loop closures. Centreline data and sketches can be
 imported from PocketTopo, allowing full paperless surveying.
 .
 TeX and metapost are used to generate the images. libtk-img is needed to use
 scans in formats other than GIF and PNM (such as PNG and JPEG).
 Survex will be used for loop-closure if installed, but is not required.
 .
 You will need appropriate TeX language packages to process therion files which
 specify those character sets: texlive-lang-czechslovak is needed to process
 the examples, and texlive-lang-cyrillic is also suggested. See README.Debian
 for details.

Package: therion-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, therion
Description: Cave surveying - 3D viewer for therion models
 Therion is cave-survey drawing and modelling software. This package contains
 the 3D model viewer for therion models produced by version 0.4 or later.
 It can also display Survex .3d and Compass .plt files.

Package: therion-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Recommends: therion
Depends: ${misc:Depends}
Replaces: therion (<< 0.5.0)
Description: Documentation for Therion Cave surveying software
 Therion is cave-survey drawing and modelling software. This package
 includes the thbook which is the specification for the therion data
 description language. This is not the easiest way to get started;
 there is much more documentation in the Therion wiki:
 https://therion.speleo.sk/wiki/doku.php with introductory guides, FAQs
 and examples. Read those first to get an understanding of how it is
 used.

## therion 6.1.3

=== Makefile ===
# common therion objects
CMNOBJECTS = thdate.o extern/shapelib/shpopen.o extern/shapelib/dbfopen.o extern/shapelib/safileio.o  \
  thbuffer.o thmbuffer.o thlogfile.o thtmpdir.o thlocale.o \
  thparse.o thcmdline.o thconfig.o thinput.o thchenc.o thdatabase.o \
  thdataobject.o thdatareader.o thsurvey.o thendsurvey.o thdata.o \
  thperson.o thtf.o thtfangle.o thtflength.o thtfpwf.o \
  thdataleg.o thobjectname.o thinfnan.o thlayout.o thlookup.o thcomment.o \
  thinit.o thdb1d.o thsvxctrl.o thdatastation.o thobjectid.o \
  thobjectsrc.o thgrade.o thlibrary.o thgeomag.o thbezier.o \
  thexport.o thexporter.o thselector.o extern/img.o \
  thexpmodel.o thdb2d00.o thscrapis.o thcs.o thcsdata.o thexptable.o \
  thdb2d.o thscrap.o thendscrap.o th2ddataobject.o thdb2dprj.o \
  thdb2dpt.o thdb2dlp.o thdb2dab.o thdb2dji.o thdb2dmi.o thdb2dcp.o \
  thdb2dxm.o thdb2dxs.o thscraplo.o thscraplp.o thscrapen.o \
  thpoint.o thline.o tharea.o thlegenddata.o thmpost.o thsymbolsets.o \
  thjoin.o thmap.o thexpmap.o thlayoutln.o thlayoutclr.o thexpsys.o thexpuni.o \
  thconvert.o thpdf.o thpdfdbg.o thpdfdata.o thtexfonts.o \
  thsymbolset.o thlang.o thmapstat.o thexpdb.o thpic.o thsketch.o thproj.o \
  extern/lxMath.o extern/lxFile.o thdb3d.o thsurface.o thimport.o thsvg.o thepsparse.o \
  thtrans.o thwarpp.o thwarppt.o thwarppme.o thwarp.o thexpshp.o thattr.o thtex.o \
  extern/poly2tri/common/shapes.o extern/poly2tri/sweep/advancing_front.o extern/poly2tri/sweep/sweep.o extern/poly2tri/sweep/cdt.o extern/poly2tri/sweep/sweep_context.o \
  extern/fmt/src/format.o extern/fmt/src/os.o extern/quickhull/QuickHull.o therion.o
TESTOBJECTS = utest-main.o utest-proj.o utest-icase.o

EXT =

# Prefix to install to (override like so: make PREFIX=/usr)
PREFIX ?= /usr/local
# Directory to install config files in (override like so: make SYSCONFDIR=/etc)
SYSCONFDIR ?= $(PREFIX)/etc

# PLATFORM CONFIG

# PLATFORM LINUX
##CXX = c++
##CC = gcc
##POBJECTS =
##LOCHEXE = loch/loch
##CXXPFLAGS = -DTHLINUX
##CCPFLAGS = -DTHLINUX
##LDPFLAGS = -s
##export THPLATFORM = LINUX
##export OUTDIR = ../therion.bin
##THXTHMKCMD = $(OUTDIR)/therion


# PLATFORM DEBIAN
CXX ?= c++
CC ?= gcc
POBJECTS =
LOCHEXE = loch/loch
CXXPFLAGS = -DTHLINUX
CCPFLAGS = -DTHLINUX
LDPFLAGS = -s
export THPLATFORM = LINUX
export OUTDIR = .
THXTHMKCMD = $(OUTDIR)/therion


# PLATFORM WIN32
##EXT = .exe
##CXX ?= c++
##CC ?= gcc
##POBJECTS = therion.res
##LOCHEXE = loch/loch
##CXXPFLAGS = -DTHWIN32
##CCPFLAGS = -DTHWIN32
##LDPFLAGS = -static-libgcc -s
##export THPLATFORM = WIN32
##export OUTDIR ?= ../therion.bin
##THXTHMKCMD = $(OUTDIR)/therion

# PLATFORM WIN32CROSS
##CROSS ?= i686-w64-mingw32.static-
##EXT = .exe
##CXX = $(CROSS)c++
##export CC = $(CROSS)gcc
##export AR = $(CROSS)ar
##POBJECTS = therion.res
##LOCHEXE = loch/loch
##CXXPFLAGS = -DTHWIN32
##CCPFLAGS = -DTHWIN32
##LDPFLAGS = -static-libgcc -static -s
##export THPLATFORM = WIN32
##THXTHMKCMD = therion
##export OUTDIR ?= ../therion.bin

# PLATFORM MACOSX
##CXX = c++
##CC = cc
##LOCHEXE = loch/loch
##POBJECTS =
##CXXPFLAGS = -DTHMACOSX
##CCPFLAGS = -DTHMACOSX
##LDPFLAGS =
##export THPLATFORM = MACOSX
##export OUTDIR = .
##THXTHMKCMD = ./therion

# PLATFORM ENDCONFIG


# BUILD CONFIG

# BUILD OZONE
##CCBFLAGS = -O3
##CXXBFLAGS = -O3
##LDBFLAGS = $(LDPFLAGS)

# BUILD OXYGEN
CCBFLAGS = -O2
CXXBFLAGS = -O2
LDBFLAGS = $(LDPFLAGS)

# BUILD RELEASE
##CCBFLAGS =
##CXXBFLAGS =
##LDBFLAGS = $(LDPFLAGS)

# BUILD DEBUG
##CCBFLAGS = -ggdb -fsanitize=address
##CXXBFLAGS = -ggdb -DTHDEBUG -fsanitize=address
##LDBFLAGS =

# BUILD ENDCONFIG

# proj4 settings
PROJ_UNSUPPORTED = 5.0.0 5.0.1 6.0.0 6.1.0 6.1.1 6.2.0
PROJ_VER = $(shell $(CROSS)pkg-config proj --modversion)
ifneq ($(filter $(PROJ_VER),$(PROJ_UNSUPPORTED)),)
    $(error unsupported Proj version: $(PROJ_VER))
endif
PROJ_LIBS ?= $(shell $(CROSS)pkg-config proj --libs --static)
PROJ_MVER ?= $(shell echo $(PROJ_VER) | sed 's/\..*//')
CXXJFLAGS ?= -DPROJ_VER=$(PROJ_MVER) -I$(shell $(CROSS)pkg-config proj --variable=includedir)


# compiler settings
CXXFLAGS = -DIMG_API_VERSION=1 -Wall $(CXXPFLAGS) $(CXXBFLAGS) $(CXXJFLAGS) -Iextern -Iextern/shapelib -Iextern/fmt/include -std=c++17
CCFLAGS = -DIMG_API_VERSION=1 -Wall $(CCPFLAGS) $(CCBFLAGS)
OBJECTS = $(addprefix $(OUTDIR)/,$(POBJECTS)) $(addprefix $(OUTDIR)/,$(CMNOBJECTS))
TESTOBJECTS_P = $(addprefix $(OUTDIR)/,$(TESTOBJECTS))


# linker settings
LIBS = $(PROJ_LIBS)
LDFLAGS = $(LDBFLAGS)


$(OUTDIR)/%.o : %.cxx
	$(CXX) -c $(CXXFLAGS) -o $@ $<

$(OUTDIR)/%.o : %.cpp
	$(CXX) -c $(CXXFLAGS) -o $@ $<

$(OUTDIR)/%.o : %.cc
	$(CXX) -c $(CXXFLAGS) -o $@ $<

$(OUTDIR)/%.o : %.c
	$(CC) -c $(CCFLAGS) -o $@ $<

all: version outdirs $(OUTDIR)/therion tests doc xtherion/xtherion $(LOCHEXE)

outdirs:
	mkdir -p $(OUTDIR)/extern/poly2tri/sweep/
	mkdir -p $(OUTDIR)/extern/poly2tri/common/
	mkdir -p $(OUTDIR)/extern/quickhull
	mkdir -p $(OUTDIR)/extern/shapelib
	mkdir -p $(OUTDIR)/extern/fmt/src
	mkdir -p $(OUTDIR)/loch
	mkdir -p $(OUTDIR)/loch/help
	mkdir -p $(OUTDIR)/loch/help/en
	mkdir -p $(OUTDIR)/loch/help/sk
	mkdir -p $(OUTDIR)/xtherion
	mkdir -p $(OUTDIR)/thbook

version: outdirs
	python3 set_version.py .
ifeq ($(THPLATFORM),WIN32)
	echo "[PROJ]" > $(OUTDIR)/innosetup.ini && echo "version=$(PROJ_MVER)" >> $(OUTDIR)/innosetup.ini
endif

thversion.h: version

$(OUTDIR)/therion: $(OBJECTS)
	$(CXX) $(CXXFLAGS) -o $(OUTDIR)/therion$(EXT) therion-main.cxx $(OBJECTS) $(LDFLAGS) $(LIBS)

$(OUTDIR)/utest$(EXT): $(OBJECTS) $(TESTOBJECTS_P) 
	$(CXX) $(CXXFLAGS) -o $(OUTDIR)/utest$(EXT) $(OBJECTS) $(TESTOBJECTS_P) $(LDFLAGS) $(LIBS)

tests: $(OUTDIR)/utest$(EXT)
ifneq ($(THPLATFORM),WIN32)
	$(OUTDIR)/utest$(EXT)
endif

$(OUTDIR)/therion.res: therion.rc
	$(CROSS)windres -i therion.rc -J rc -o $(OUTDIR)/therion.res -O coff

init:
	./therion --print-init-file > therion.ini

install: all
	tclsh makeinstall.tcl $(THPLATFORM) $(DESTDIR)$(PREFIX) $(DESTDIR)$(SYSCONFDIR)

release:
	python3 make_release.py

depend:
	perl makedepend.pl > Makefile.dep
	perl maketest.pl Makefile.dep
	perl makefile.pl mv Makefile.dep Makefile
	$(CXX) -MM $(CXXFLAGS) *.cxx >> Makefile
	perl makedepend2.pl

library: thversion.h
	$(THXTHMKCMD) --print-library-src thlibrarydata.thcfg > thlibrarydata.log
	perl makelibrary.pl thlibrarydata.log > thlibrarydata.tmp
	perl maketest.pl thlibrarydata.tmp
	perl makefile.pl mv thlibrarydata.tmp thlibrarydata.cxx

ifeq ($(THXTHMKCMD),$(OUTDIR)/therion)
  THERION_TCL_DEPS += $(OUTDIR)/therion
endif

xtherion/therion.tcl: $(THERION_TCL_DEPS)
	$(THXTHMKCMD) --print-xtherion-src > xtherion/therion.tcl

xtherion/xtherion: version xtherion/therion.tcl xtherion/*.tcl
	$(MAKE) -C ./xtherion

loch/loch: version loch/*.h loch/*.cxx loch/*.c
	$(MAKE) -C ./loch

doc: $(OUTDIR)/thbook/thbook.pdf

thbook: version $(OUTDIR)/thbook/thbook.pdf

samples: $(OUTDIR)/samples.doc/index.tex

samples-quick:
	$(MAKE) -C samples quick
	touch thbook/version.tex
	$(MAKE) -C thbook

samples-html:
	$(MAKE) -C samples html

$(OUTDIR)/samples.doc/index.tex:
	$(MAKE) -C samples
	touch thbook/version.tex
	$(MAKE) -C thbook

$(OUTDIR)/thbook/thbook.pdf: thbook/*.tex thversion.h
	$(MAKE) -C thbook

clean:
	perl makefile.pl rm -q ./xtherion/therion.tcl
	perl makefile.pl rmdir -q samples.doc
	$(MAKE) -C ./samples clean
	$(MAKE) -C ./loch clean
	$(MAKE) cleanrest

cleanrest:
	$(MAKE) -C ./xtherion clean
	$(MAKE) -C ./loch clean
	perl makefile.pl rm -q thmpost.cxx thtex.h thlangdata.h thchencdata.cxx thcsdata.h thmpost.h thcsdata.cxx thtex.cxx thsymbolsetlist.h thsymbolsets.cxx thsymbolsets.h thlangdatafields.h thchencdata.h SYMBOLS.txt
	perl makefile.pl rm -q therion ./xtherion/xtherion ./xtherion/xtherion.tcl therion.exe *~ *.log *.o thchencdata/*~ .xtherion.dat ./xtherion/ver.tcl thversion.h thbook/version.tex
	perl makefile.pl rm -q xtherion/*~ .xth_thconfig_xth xtherion/screendump thlang/*~
	perl makefile.pl rm -q extern/*.o extern/*~ extern/quickhull/*.o extern/shapelib/*.o extern/poly2tri/common/*.o extern/poly2tri/sweep/*.o samples/*~ samples/*.log
	perl makefile.pl rm -q symbols.html therion.res innosetup.ini
	perl makefile.pl rm -q tri/*.o tri/*~
	perl makefile.pl rm -q utest
	perl makefile.pl rm -q tex/*~
	perl makefile.pl rm -q us.stackdump loch/us.stackdump samples/us.stackdump xtherion/us.stackdump
	perl makefile.pl rm -q mpost/*~ examples/*~ examples/therion.log
	perl makefile.pl rm -q core symbols.xhtml cave.kml
	perl makefile.pl rm -q data.3d data.svx data.pos data.pts data.err data.plt
	perl makefile.pl rm -q cave.3d cave.lox cave.thm cave.pdf cave.sql cave.xhtml therion.tcl cave_a.pdf cave_m.pdf cave.vrml cave.wrl cave.3dmf cave.svg cave.tlx
	perl makefile.pl rm -q ./thbook/*~ ./thbook/thbook.log ./thbook/thbook.pdf ./lib/*~ ./mpost/*~ ./tex/*~
	perl makefile.pl rm -q extern/fmt/CMakeCache.txt extern/fmt/Makefile extern/fmt/libfmt.a extern/fmt/cmake_install.cmake extern/fmt/src/*.o
	perl makefile.pl rmdir -q doc thTMPDIR samples.doc symbols cave.shp tests/.doc
	perl makefile.pl rmdir -q doc symbols cave.shp tests/.doc
	perl makefile.pl rmdir -q thTMPDIR samples/*/thTMPDIR samples/*/*/thTMPDIR
	perl makefile.pl rmdir -q extern/fmt/CMakeFiles

thmpost.h: mpost/*.mp
	$(MAKE) -C ./mpost

thmpost.cxx: thmpost.h
thsymbolsets.h: thmpost.h thsymbolsetlist.h
thsymbolsets.cxx: thsymbolsets.h

thsymbolsetlist.h: thsymbolsetlist.pl mpost/thTrans.mp
	perl thsymbolsetlist.pl

thtex.h: tex/*.tex
	$(MAKE) -C ./tex

thtex.cxx: thtex.h

thchencdata.cxx: thchencdata.h
thchencdata.h: thchencdata/*.TXT
	$(MAKE) -C ./thchencdata

thcsdata.h: thcsdata.tcl
	tclsh thcsdata.tcl $(shell $(CROSS)pkg-config proj --variable=prefix)/share/proj

update:
	$(MAKE) -C ./thlang update

unixify: clean
	tclsh makeunixify.tcl

thlangdata.h: thlang/texts.txt
	$(MAKE) -C ./thlang

thlangdatafields.h: thlangdata.h
	$(MAKE) -C ./thlang

config-debug:
	perl makeconfig.pl BUILD DEBUG
	cd loch; perl makeconfig.pl BUILD DEBUG

config-release:
	perl makeconfig.pl BUILD RELEASE
	cd loch; perl makeconfig.pl BUILD RELEASE

config-oxygen:
	perl makeconfig.pl BUILD OXYGEN
	cd loch; perl makeconfig.pl BUILD OXYGEN

config-ozone:
	perl makeconfig.pl BUILD OZONE
	cd loch; perl makeconfig.pl BUILD OZONE

config-debian:
	perl makeconfig.pl PLATFORM DEBIAN
	cd loch; perl makeconfig.pl PLATFORM DEBIAN

config-linux:
	perl makeconfig.pl PLATFORM LINUX
	cd loch; perl makeconfig.pl PLATFORM LINUX

config-win32:
	perl makeconfig.pl PLATFORM WIN32
	cd loch; perl makeconfig.pl PLATFORM WIN32

config-win32cross:
	perl makeconfig.pl PLATFORM WIN32CROSS
	cd loch; perl makeconfig.pl PLATFORM WIN32CROSS

config-macosx:
	perl makeconfig.pl PLATFORM MACOSX
	cd loch; perl makeconfig.pl PLATFORM MACOSX

# external sources
$(OUTDIR)/extern/lxMath.o: loch/lxMath.h loch/lxMath.cxx
	$(CXX) -c $(CXXFLAGS) -o $(OUTDIR)/extern/lxMath.o loch/lxMath.cxx

$(OUTDIR)/extern/lxFile.o: loch/lxFile.h loch/lxFile.cxx
	$(CXX) -c $(CXXFLAGS) -o $(OUTDIR)/extern/lxFile.o loch/lxFile.cxx

extern/img.o: extern/img.c extern/img.h
extern/poly2tri/common/shapes.o: extern/poly2tri/common/shapes.cc extern/poly2tri/common/shapes.h
extern/poly2tri/sweep/advancing_front.o: extern/poly2tri/sweep/advancing_front.cc
extern/poly2tri/sweep/sweep.o: extern/poly2tri/sweep/sweep.cc
extern/poly2tri/sweep/cdt.o: extern/poly2tri/sweep/cdt.cc
extern/poly2tri/sweep/sweep_context.o: extern/poly2tri/sweep/sweep_context.cc
extern/fmt/src/format.o: extern/fmt/src/format.cc extern/fmt/include/fmt/format-inl.h extern/fmt/include/fmt/format.h extern/fmt/include/fmt/core.h
extern/fmt/src/os.o: extern/fmt/src/os.cc extern/fmt/include/fmt/os.h extern/fmt/include/fmt/format.h extern/fmt/include/fmt/core.h


# DEPENDENCIES
$(OUTDIR)/th2ddataobject.o: th2ddataobject.cxx th2ddataobject.h thdataobject.h \
 thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
 thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
 loch/lxMath.h thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h \

=== debian/changelog ===
therion (6.1.3-2) unstable; urgency=medium

  * Fix omitted changes from 6.1.2-2.
  * debian/control: use libfreetype-dev instead of libfreetype6-dev.

 -- Martin Budaj <m.budaj@gmail.com>  Sun, 27 Nov 2022 20:22:00 +0100

therion (6.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Budaj <m.budaj@gmail.com>  Sat, 26 Nov 2022 20:17:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Martin Budaj <m.budaj@gmail.com>
 Uploaders: Wookey <wookey@debian.org>, Olly Betts <olly@survex.com>
 Build-Depends: dpkg (>=1.16.2), debhelper, debhelper-compat (=13), perl (>= 5.5), tcl,
-  libvtk9-dev, libwxgtk3.2-dev, libfreetype6-dev, libjpeg-dev, libpng-dev,
+  libvtk9-dev, libwxgtk3.2-dev, libfreetype-dev, libjpeg-dev, libpng-dev,
   pkg-config, texlive-base, libproj-dev, libsqlite3-tcl, python3,
   libshp-dev, catch2, cmake, ninja-build, libfmt-dev
 Build-Depends-Indep: texlive-metapost, imagemagick, ghostscript

## therion 6.1.4

=== debian/changelog ===
therion (6.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version (no changes)

 -- Martin Budaj <m.budaj@gmail.com>  Fri, 23 Dec 2022 18:41:22 +0100

## therion 6.1.5

=== loch/help/CMakeLists.txt ===
file(
  COPY ${CMAKE_CURRENT_SOURCE_DIR}
  DESTINATION ${CMAKE_BINARY_DIR}/loch
  PATTERN "Makefile" EXCLUDE
  PATTERN "CMakeLists.txt" EXCLUDE)

function(add_help DIR)
  set(FULL_PATH ${CMAKE_CURRENT_BINARY_DIR}/${DIR})
  set(INPUT_FILES ${FULL_PATH}/loch.hhp ${FULL_PATH}/loch.hhc
                  ${FULL_PATH}/loch.hhk ${FULL_PATH}/loch.htm)

  add_custom_command(
    OUTPUT ${FULL_PATH}/loch.htb
    COMMAND ${CMAKE_COMMAND} -E tar cfv loch.htb --format=zip loch.hhp loch.hhc
            loch.hhk loch.htm
    DEPENDS ${INPUT_FILES}
    WORKING_DIRECTORY ${FULL_PATH})

  add_custom_target(hlp_${DIR} ALL DEPENDS ${FULL_PATH}/loch.htb)
  add_dependencies(loch hlp_${DIR})

  install(FILES ${FULL_PATH}/loch.htb DESTINATION ${CMAKE_INSTALL_DATADIR}/doc/therion-viewer/help/${DIR} COMPONENT loch-docs)
endfunction()

add_help("en")
add_help("sk")

=== debian/changelog ===
therion (6.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Budaj <m.budaj@gmail.com>  Fri, 06 Jan 2023 17:43:22 +0100
